## org.exist.storage.io
Class VariableByteOutputStream

    java.lang.Object
      java.io.OutputStream
          org.exist.storage.io.VariableByteOutputStream

public class VariableByteOutputStream
extends java.io.OutputStream

A byte array output stream using variable byte encoding.

Author:
  wolf

Constructor Summary
`VariableByteOutputStream()`
`VariableByteOutputStream(int size)`

Method Summary
`void` `clear()`
`void` `close()`
`ByteArray` `data()`
`void` `flush()`
`int` `position()`
`int` `size()`
`byte[]` `toByteArray()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(ByteArray b)`
`void` `write(int b)`
`void` `writeByte(byte b)`
`void` `writeFixedInt(int i)`
`void` `writeFixedInt(int position, int i)`
`void` `writeFixedLong(long l)`
`void` `writeInt(int i)`
`void` `writeInt(int position, int i)`
`void` `writeLong(long l)`
`void` `writeShort(int s)`
`void` `writeUTF(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableByteOutputStream

    public VariableByteOutputStream()

### VariableByteOutputStream

    public VariableByteOutputStream(int size)

Method Detail

### clear

    public void clear()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### size

    public int size()

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### position

    public int position()

### toByteArray

    public byte[] toByteArray()

### data

    public ByteArray data()

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(ByteArray b)

### writeByte

    public void writeByte(byte b)

### writeShort

    public void writeShort(int s)

### writeInt

    public void writeInt(int i)

### writeFixedInt

    public void writeFixedInt(int i)

### writeFixedInt

    public void writeFixedInt(int position,
                              int i)

### writeInt

    public void writeInt(int position,
                         int i)

### writeLong

    public void writeLong(long l)

### writeFixedLong

    public void writeFixedLong(long l)

### writeUTF

    public void writeUTF(java.lang.String s)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (C) Wolfgang Meier. All rights reserved.